Classes | UGens>Generators>Deterministic

# Saw : UGen : AbstractFunction : Object

Band limited sawtooth.
Source: FSinOsc.sc
See also: SyncSaw, VarSaw, LFSaw

## Description

Band limited sawtooth wave generator.

## Class Methods

### Saw.ar(freq: 440.0, mul: 1.0, add: 0.0)

#### Arguments:

freq | Frequency in Hertz.
mul | Output will be multiplied by this value.
add | This value will be added to the output.

### Inherited class methods

### Undocumented class methods

### Saw.kr(freq: 440.0, mul: 1.0, add: 0.0)

## Instance Methods

### Inherited instance methods

## Examples

// modulating the frequency { Saw.ar(XLine.kr(40,4000,6),0.2) }.play; // two band limited sawtooth waves through a resonant low pass filter { RLPF.ar(Saw.ar([100,250],0.1), XLine.kr(8000,400,5), 0.05) }.play;
helpfile source: /Applications/SuperCollider.app/Contents/Resources/HelpSource/Classes/Saw.schelp
link::Classes/Saw::